%define pkg_name        bignum
%define pkg_version     0.22
%define rpm_pkg_version 0.22
%define rpm_pkg_release 1.n0i.3


Summary:       Transparent BigNumber support for Perl
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}
# avoid buggy RPM versioning (core perl build)
Epoch:         0

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/T/TE/TELS/math/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(Module::Build)
Requires:      perl(Math::BigInt) >= 1.83
Requires:      perl(Math::BigRat) >= 0.19
%if %{!?_without_test:1}0
BuildRequires: perl(Math::BigInt) >= 1.83
BuildRequires: perl(Math::BigRat) >= 0.19
BuildRequires: perl(Test::More) >= 0.47
%endif


%description
This package attempts to make it easier to write scripts that use
BigInts/BigFloats in a transparent way. They use the rewritten versiosn of
Math::BigInt and Math::BigFloat, Math::BigRat (for bigrat) and optionally
Math::BigInt::Lite.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
[ -f Makefile.PL ] || cat <<EOF > Makefile.PL
use Module::Build::Compat;
Module::Build::Compat->run_build_pl(args => \@ARGV);
Module::Build::Compat->write_makefile();
EOF


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc BUGS CHANGES LICENSE README TODO


%changelog
* Tue Jul 31 2007 Marius Feraru <altblue@n0i.net> - 0:0.22-1.n0i.3
- version 0.22

* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0:0.21-1.n0i.2
- spec file (re)created using N0i::CPAN::RPMizer 1.07
- version 0.21

* Tue Mar 23 2004 Marius Feraru <altblue@n0i.net> 0:0.15-1.n0i.1
- version 0.15
- spec file (re?)created using N0i::CPAN::RPMizer/2004032101
